KNOWLEDGE BASE

Error "The certificate provided is not valid until" When Starting TabPy


Published: 24 Jun 2021
Last Modified Date: 24 Jun 2021

Issue

When trying to start TabPy server with SSL enabled, the following error may occur:

The certificate provided is not valid until <date and time>.

Environment

  • TabPy

Resolution

Option 1 

Wait until the date and time indicated in the error message to start using the SSL certificate.

Option 2

Generate another SSL certificate with the start date set to the current date and time, and use this certificate instead.
 

Cause

TabPy server determined that the certificate is not yet active.

Additional Information

The openssl ca application may generate certificates with the start date as one day later, by default. Use the -startdate option to explicitly set the start date.
Did this article resolve the issue?